Bio::Annotation::TypeManager(3)

NAME
Bio::Annotation::TypeManager - Manages types for annotation collections

SYNOPSIS
    # default type manager

    $tm = Bio::Annotation::TypeManager->new();

    # $key is a string or a Bio::Ontology::TermI compliant object
    print "The type for $key is ",$tm->type_for_key($key),"\n";

    if( !$tm->is_valid($key,$object) ) {
        $self->throw("Invalid object for key $key");
    }

DESCRIPTION
Manages types for annotation collections.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Ewan Birney
Email birney@ebi.ac.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  type_for_key
 Title   : type_for_key
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  is_valid
 Title   : is_valid
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _add_type_map
 Title   : _add_type_map
 Usage   :
 Function:
 Example :
 Returns :
 Args    :